abstract class ScooterCodeState {
  final String code;
  final String? error;

  const ScooterCodeState({this.code = '', this.error});
}

class ScooterCodeInitial extends ScooterCodeState {
  const ScooterCodeInitial({super.code, super.error});
}

class ScooterCodeLoading extends ScooterCodeState {
  const ScooterCodeLoading({super.code});
}

class ScooterCodeSuccess extends ScooterCodeState {
  final dynamic scooter; // Замените dynamic на вашу модель Scooter
  const ScooterCodeSuccess(this.scooter, {super.code});
}

class ScooterCodeFailure extends ScooterCodeState {
  const ScooterCodeFailure(String error, {super.code}) : super(error: error);
}